Source: binutils
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: James Troup <binutils@elmo.tasta.io>
Standards-Version: 4.3.0
Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
  bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz,
  python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps,
  g++-aarch64-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
  g++-arm-linux-gnueabihf [amd64 arm64 i386 x32] <!nocheck>,
  g++-mips-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-mips64el-linux-gnuabi64 [amd64 i386 x32] <!nocheck>,
  g++-mipsel-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-powerpc64le-linux-gnu [amd64 i386 ppc64 x32] <!nocheck>,
  g++-s390x-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-powerpc-linux-gnu [amd64 i386 ppc64el x32] <!nocheck>,
  g++-powerpc64-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-riscv64-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
  g++-i686-linux-gnu [amd64 arm64 ppc64el x32] <!nocheck>,
  g++-x86-64-linux-gnu [arm64 i386 ppc64el x32] <!nocheck>,
  g++-x86-64-linux-gnux32 [amd64 arm64 i386 ppc64el] <!nocheck>,
Build-Conflicts: libelf-dev
Homepage: https://www.gnu.org/software/binutils/
Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.31
Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
XS-Testsuite: autopkgtest

Package: binutils-for-host
Architecture: any
Depends: ${binutils:native}:any (>= ${binutils:minver}),
  binutils-common (= ${binary:Version}),
Multi-Arch: same
Description: GNU assembler, linker and binary utilities for the host architecture
 The programs in this package are used to assemble, link and manipulate
 binary and object files for the architecture of this package.  They may be
 used in conjunction with a matching compiler and various libraries to build
 programs. When using binutils through this metapackage, all tools must be
 used with an architecture prefix.

Package: binutils-for-build
Architecture: all
Depends: binutils (>= ${binutils:minver}),
  binutils-common (>= ${binutils:minver})
Multi-Arch: foreign
Description: GNU assembler, linker and binary utilities for the build architecture
 The programs in this package are used to assemble, link and manipulate
 binary and object files for the native architecture.  They may be used in
 conjunction with a build architecture compiler and various libraries to build
 programs. When using binutils through this metapackage, tools without an
 architecture prefix must be used.

Package: binutils
Architecture: any
Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version}),
  libbinutils (= ${binary:Version}), ${binutils:native} (= ${binary:Version})
Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
  binutils-multiarch (<< 2.27-8)
Provides: elf-binutils, ${gold:Provides}
Suggests: binutils-doc (>= ${source:Version})
Description: GNU assembler, linker and binary utilities
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.

Package: libbinutils
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version})
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities (private shared library)
 This package includes the private shared libraries libbfd and libopcodes.

Package: libbinutils-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libbinutils (= ${binary:Version})
Description: GNU binary utilities (private shared library, debug symbols)
 This package provides debug symbols for libbinutils.

Package: binutils-dev
Architecture: any
Priority: optional
Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version})
Conflicts: libbfd-dev
Provides: libbfd-dev
Replaces: libbfd-dev, libc5-dev
Description: GNU binary utilities (BFD development files)
 This package includes header files and static libraries necessary to build
 programs which use the GNU BFD library, which is part of binutils.  Note
 that building Debian packages which depend on the shared libbfd is Not
 Allowed.

Package: binutils-multiarch
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, binutils (= ${binary:Version}),
  binutils-common (= ${binary:Version})
Description: Binary utilities that support multi-arch targets
 The programs in this package are used to manipulate binary and object
 files that may have been created on other architectures.  This package
 is primarily for multi-architecture developers and cross-compilers and
 is not needed by normal users or developers.  Note that a cross-assembling
 version of gas is not included in this package, just the binary utilities.
 .
 NORMAL USERS SHOULD NOT INSTALL THIS PACKAGE.  It's meant only for those
 requiring support for reading info from binaries from other architectures.

Package: binutils-multiarch-dbg
Section: debug
Architecture: any
Priority: optional
Depends: binutils-multiarch (= ${binary:Version})
Description: Binary utilities that support multi-arch targets (debug symbols)
 This package provides debug symbols for binutils-multiarch.

Package: binutils-multiarch-dev
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
 binutils-dev (= ${binary:Version}), binutils-multiarch (= ${binary:Version})
Replaces: binutils-multiarch (<< 2.24-5)
Description: GNU binary utilities that support multi-arch targets (BFD development files)
 This package includes header files, static and shared libraries necessary
 to build programs which use the GNU BFD library for multi-arch targets,
 which is part of binutils. Note that building Debian packages which depend
 on the shared libbfd is Not Allowed.
 .
 NORMAL USERS SHOULD NOT INSTALL THIS PACKAGE.  It's meant only for those
 requiring support for reading info from binaries from other architectures.

Package: binutils-hppa64-linux-gnu
Architecture: amd64 i386 x32 hppa
Depends: ${shlibs:Depends}, binutils (= ${binary:Version}),
  binutils-common (= ${binary:Version})
Recommends: libc6-dev
Provides: binutils-hppa64
Suggests: binutils-doc (>= ${source:Version})
Breaks: binutils-hppa64 (<< 2.25.1-2)
Replaces: binutils-hppa64 (<< 2.25.1-2)
Description: GNU assembler, linker and binary utilities targeted for hppa64-linux
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.
 .
 This package is needed to build an 64-bit kernel for 64-bit hppa machines.

Package: binutils-hppa64-linux-gnu-dbg
Section: debug
Architecture: amd64 i386 x32 hppa
Depends: binutils-hppa64-linux-gnu (= ${binary:Version})
Description: GNU binutils targeted for hppa64-linux (debug symbols)
 This package provides debug symbols for binutils-hppa64-linux-gnu.

Package: binutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Priority: optional
Suggests: binutils (= ${binary:Version})
Description: Documentation for the GNU assembler, linker and binary utilities
 This package consists of the documentation for the GNU assembler,
 linker and binary utilities in info format.

Package: binutils-source
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: texinfo, zlib1g-dev, make, python3
Description: GNU assembler, linker and binary utilities (source)
 This package contains the sources and patches which are needed to
 build binutils.

Package: binutils-common
Architecture: any
Multi-Arch: same
Breaks: binutils (<< 2.29.1-3.1~)
Replaces: binutils (<< 2.29.1-3.1~)
Description: Common files for the GNU assembler, linker and binary utilities
 This package contains the localization files used by binutils packages for
 various target architectures and parts of the binutils documentation. It is
 not useful on its own.

Package: binutils-x86-64-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for x86-64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the x86-64-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for x86-64-linux-gnu and x86-64-linux-gnu is not your native platform.

Package: binutils-x86-64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: binutils-x86-64-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for x86-64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-x86-64-linux-gnu.

Package: binutils-i686-linux-gnu
Priority: optional
Architecture: i386 amd64 arm64 ppc64el x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: binutils-i586-linux-gnu
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for i686-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the i686-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for i686-linux-gnu and i686-linux-gnu is not your native platform.

Package: binutils-i686-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: i386 amd64 arm64 ppc64el x32
Multi-Arch: foreign
Depends: binutils-i686-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for i686-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-i686-linux-gnu.

Package: binutils-aarch64-linux-gnu
Priority: optional
Architecture: arm64 amd64 i386 x32 ppc64el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for aarch64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the aarch64-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for aarch64-linux-gnu and aarch64-linux-gnu is not your native platform.

Package: binutils-aarch64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: arm64 amd64 i386 x32 ppc64el
Multi-Arch: foreign
Depends: binutils-aarch64-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for aarch64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-aarch64-linux-gnu.

Package: binutils-arm-linux-gnueabihf
Priority: optional
Architecture: armhf amd64 i386 x32 arm64 ppc64el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for arm-linux-gnueabihf target
 This package provides GNU assembler, linker and binary utilities
 for the arm-linux-gnueabihf target.
 .
 You don't need this package unless you plan to cross-compile programs
 for arm-linux-gnueabihf and arm-linux-gnueabihf is not your native platform.

Package: binutils-arm-linux-gnueabihf-dbg
Section: debug
Priority: optional
Architecture: armhf amd64 i386 x32 arm64 ppc64el
Multi-Arch: foreign
Depends: binutils-arm-linux-gnueabihf (= ${binary:Version})
Description: GNU binary utilities, for arm-linux-gnueabihf target (debug symbols)
 This package provides debug symbols for binutils-arm-linux-gnueabihf.

Package: binutils-arm-linux-gnueabi
Priority: optional
Architecture: armel amd64 i386 x32 arm64 ppc64el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for arm-linux-gnueabi target
 This package provides GNU assembler, linker and binary utilities
 for the arm-linux-gnueabi target.
 .
 You don't need this package unless you plan to cross-compile programs
 for arm-linux-gnueabi and arm-linux-gnueabi is not your native platform.

Package: binutils-arm-linux-gnueabi-dbg
Section: debug
Priority: optional
Architecture: armel amd64 i386 x32 arm64 ppc64el
Multi-Arch: foreign
Depends: binutils-arm-linux-gnueabi (= ${binary:Version})
Description: GNU binary utilities, for arm-linux-gnueabi target (debug symbols)
 This package provides debug symbols for binutils-arm-linux-gnueabi.

Package: binutils-mips-linux-gnu
Priority: optional
Architecture: mips amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mips-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the mips-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mips-linux-gnu and mips-linux-gnu is not your native platform.

Package: binutils-mips-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: mips amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-mips-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for mips-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-mips-linux-gnu.

Package: binutils-mipsel-linux-gnu
Priority: optional
Architecture: mipsel amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mipsel-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the mipsel-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mipsel-linux-gnu and mipsel-linux-gnu is not your native platform.

Package: binutils-mipsel-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: mipsel amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-mipsel-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for mipsel-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-mipsel-linux-gnu.

Package: binutils-mips64el-linux-gnuabi64
Priority: optional
Architecture: mips64el amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mips64el-linux-gnuabi64 target
 This package provides GNU assembler, linker and binary utilities
 for the mips64el-linux-gnuabi64 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mips64el-linux-gnuabi64 and mips64el-linux-gnuabi64 is not your native platform.

Package: binutils-mips64el-linux-gnuabi64-dbg
Section: debug
Priority: optional
Architecture: mips64el amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-mips64el-linux-gnuabi64 (= ${binary:Version})
Description: GNU binary utilities, for mips64el-linux-gnuabi64 target (debug symbols)
 This package provides debug symbols for binutils-mips64el-linux-gnuabi64.

Package: binutils-powerpc64le-linux-gnu
Priority: optional
Architecture: ppc64el amd64 i386 x32 ppc64
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for powerpc64le-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the powerpc64le-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for powerpc64le-linux-gnu and powerpc64le-linux-gnu is not your native platform.

Package: binutils-powerpc64le-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: ppc64el amd64 i386 x32 ppc64
Multi-Arch: foreign
Depends: binutils-powerpc64le-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for powerpc64le-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-powerpc64le-linux-gnu.

Package: binutils-s390x-linux-gnu
Priority: optional
Architecture: s390x amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for s390x-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the s390x-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for s390x-linux-gnu and s390x-linux-gnu is not your native platform.

Package: binutils-s390x-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: s390x amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-s390x-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for s390x-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-s390x-linux-gnu.

Package: binutils-alpha-linux-gnu
Priority: optional
Architecture: alpha amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for alpha-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the alpha-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for alpha-linux-gnu and alpha-linux-gnu is not your native platform.

Package: binutils-alpha-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: alpha amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-alpha-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for alpha-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-alpha-linux-gnu.

Package: binutils-hppa-linux-gnu
Priority: optional
Architecture: hppa amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for hppa-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the hppa-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for hppa-linux-gnu and hppa-linux-gnu is not your native platform.

Package: binutils-hppa-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: hppa amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-hppa-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for hppa-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-hppa-linux-gnu.

Package: binutils-ia64-linux-gnu
Priority: optional
Architecture: ia64 amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for ia64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the ia64-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for ia64-linux-gnu and ia64-linux-gnu is not your native platform.

Package: binutils-ia64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: ia64 amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-ia64-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for ia64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-ia64-linux-gnu.

Package: binutils-m68k-linux-gnu
Priority: optional
Architecture: m68k amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for m68k-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the m68k-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for m68k-linux-gnu and m68k-linux-gnu is not your native platform.

Package: binutils-m68k-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: m68k amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-m68k-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for m68k-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-m68k-linux-gnu.

Package: binutils-mips64-linux-gnuabi64
Priority: optional
Architecture: mips64
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mips64-linux-gnuabi64 target
 This package provides GNU assembler, linker and binary utilities
 for the mips64-linux-gnuabi64 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mips64-linux-gnuabi64 and mips64-linux-gnuabi64 is not your native platform.

Package: binutils-mips64-linux-gnuabi64-dbg
Section: debug
Priority: optional
Architecture: mips64
Multi-Arch: foreign
Depends: binutils-mips64-linux-gnuabi64 (= ${binary:Version})
Description: GNU binary utilities, for mips64-linux-gnuabi64 target (debug symbols)
 This package provides debug symbols for binutils-mips64-linux-gnuabi64.

Package: binutils-powerpc-linux-gnu
Priority: optional
Architecture: powerpc amd64 i386 x32 ppc64el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for powerpc-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the powerpc-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for powerpc-linux-gnu and powerpc-linux-gnu is not your native platform.

Package: binutils-powerpc-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: powerpc amd64 i386 x32 ppc64el
Multi-Arch: foreign
Depends: binutils-powerpc-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for powerpc-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-powerpc-linux-gnu.

Package: binutils-powerpc-linux-gnuspe
Priority: optional
Architecture: powerpcspe amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for powerpc-linux-gnuspe target
 This package provides GNU assembler, linker and binary utilities
 for the powerpc-linux-gnuspe target.
 .
 You don't need this package unless you plan to cross-compile programs
 for powerpc-linux-gnuspe and powerpc-linux-gnuspe is not your native platform.

Package: binutils-powerpc-linux-gnuspe-dbg
Section: debug
Priority: optional
Architecture: powerpcspe amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-powerpc-linux-gnuspe (= ${binary:Version})
Description: GNU binary utilities, for powerpc-linux-gnuspe target (debug symbols)
 This package provides debug symbols for binutils-powerpc-linux-gnuspe.

Package: binutils-powerpc64-linux-gnu
Priority: optional
Architecture: ppc64 amd64 i386 x32 ppc64el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for powerpc64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the powerpc64-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for powerpc64-linux-gnu and powerpc64-linux-gnu is not your native platform.

Package: binutils-powerpc64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: ppc64 amd64 i386 x32 ppc64el
Multi-Arch: foreign
Depends: binutils-powerpc64-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for powerpc64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-powerpc64-linux-gnu.

Package: binutils-riscv64-linux-gnu
Priority: optional
Architecture: riscv64 amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for riscv64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the riscv64-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for riscv64-linux-gnu and riscv64-linux-gnu is not your native platform.

Package: binutils-riscv64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: riscv64 amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-riscv64-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for riscv64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-riscv64-linux-gnu.

Package: binutils-sh4-linux-gnu
Priority: optional
Architecture: sh4 amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for sh4-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the sh4-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for sh4-linux-gnu and sh4-linux-gnu is not your native platform.

Package: binutils-sh4-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: sh4 amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-sh4-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for sh4-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-sh4-linux-gnu.

Package: binutils-sparc64-linux-gnu
Priority: optional
Architecture: sparc64 amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for sparc64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the sparc64-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for sparc64-linux-gnu and sparc64-linux-gnu is not your native platform.

Package: binutils-sparc64-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: sparc64 amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-sparc64-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for sparc64-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-sparc64-linux-gnu.

Package: binutils-x86-64-linux-gnux32
Priority: optional
Architecture: x32 amd64 arm64 i386 ppc64el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for x86-64-linux-gnux32 target
 This package provides GNU assembler, linker and binary utilities
 for the x86-64-linux-gnux32 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for x86-64-linux-gnux32 and x86-64-linux-gnux32 is not your native platform.

Package: binutils-x86-64-linux-gnux32-dbg
Section: debug
Priority: optional
Architecture: x32 amd64 arm64 i386 ppc64el
Multi-Arch: foreign
Depends: binutils-x86-64-linux-gnux32 (= ${binary:Version})
Description: GNU binary utilities, for x86-64-linux-gnux32 target (debug symbols)
 This package provides debug symbols for binutils-x86-64-linux-gnux32.

Package: binutils-i686-gnu
Priority: optional
Architecture: hurd-i386 amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: binutils-i586-gnu
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for i686-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the i686-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for i686-gnu and i686-gnu is not your native platform.

Package: binutils-i686-gnu-dbg
Section: debug
Priority: optional
Architecture: hurd-i386 amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-i686-gnu (= ${binary:Version})
Description: GNU binary utilities, for i686-gnu target (debug symbols)
 This package provides debug symbols for binutils-i686-gnu.

Package: binutils-x86-64-kfreebsd-gnu
Priority: optional
Architecture: kfreebsd-amd64 amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for x86-64-kfreebsd-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the x86-64-kfreebsd-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for x86-64-kfreebsd-gnu and x86-64-kfreebsd-gnu is not your native platform.

Package: binutils-x86-64-kfreebsd-gnu-dbg
Section: debug
Priority: optional
Architecture: kfreebsd-amd64 amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-x86-64-kfreebsd-gnu (= ${binary:Version})
Description: GNU binary utilities, for x86-64-kfreebsd-gnu target (debug symbols)
 This package provides debug symbols for binutils-x86-64-kfreebsd-gnu.

Package: binutils-i686-kfreebsd-gnu
Priority: optional
Architecture: kfreebsd-i386 amd64 i386 x32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: binutils-i586-kfreebsd-gnu
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for i686-kfreebsd-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the i686-kfreebsd-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for i686-kfreebsd-gnu and i686-kfreebsd-gnu is not your native platform.

Package: binutils-i686-kfreebsd-gnu-dbg
Section: debug
Priority: optional
Architecture: kfreebsd-i386 amd64 i386 x32
Multi-Arch: foreign
Depends: binutils-i686-kfreebsd-gnu (= ${binary:Version})
Description: GNU binary utilities, for i686-kfreebsd-gnu target (debug symbols)
 This package provides debug symbols for binutils-i686-kfreebsd-gnu.

Package: binutils-mips64-linux-gnuabin32
Priority: optional
Architecture: mipsn32
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mips64-linux-gnuabin32 target
 This package provides GNU assembler, linker and binary utilities
 for the mips64-linux-gnuabin32 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mips64-linux-gnuabin32 and mips64-linux-gnuabin32 is not your native platform.

Package: binutils-mips64-linux-gnuabin32-dbg
Section: debug
Priority: optional
Architecture: mipsn32
Multi-Arch: foreign
Depends: binutils-mips64-linux-gnuabin32 (= ${binary:Version})
Description: GNU binary utilities, for mips64-linux-gnuabin32 target (debug symbols)
 This package provides debug symbols for binutils-mips64-linux-gnuabin32.

Package: binutils-mips64el-linux-gnuabin32
Priority: optional
Architecture: mipsn32el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mips64el-linux-gnuabin32 target
 This package provides GNU assembler, linker and binary utilities
 for the mips64el-linux-gnuabin32 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mips64el-linux-gnuabin32 and mips64el-linux-gnuabin32 is not your native platform.

Package: binutils-mips64el-linux-gnuabin32-dbg
Section: debug
Priority: optional
Architecture: mipsn32el
Multi-Arch: foreign
Depends: binutils-mips64el-linux-gnuabin32 (= ${binary:Version})
Description: GNU binary utilities, for mips64el-linux-gnuabin32 target (debug symbols)
 This package provides debug symbols for binutils-mips64el-linux-gnuabin32.

Package: binutils-mipsisa64r6-linux-gnuabin32
Priority: optional
Architecture: mipsn32r6
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mipsisa64r6-linux-gnuabin32 target
 This package provides GNU assembler, linker and binary utilities
 for the mipsisa64r6-linux-gnuabin32 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mipsisa64r6-linux-gnuabin32 and mipsisa64r6-linux-gnuabin32 is not your native platform.

Package: binutils-mipsisa64r6-linux-gnuabin32-dbg
Section: debug
Priority: optional
Architecture: mipsn32r6
Multi-Arch: foreign
Depends: binutils-mipsisa64r6-linux-gnuabin32 (= ${binary:Version})
Description: GNU binary utilities, for mipsisa64r6-linux-gnuabin32 target (debug symbols)
 This package provides debug symbols for binutils-mipsisa64r6-linux-gnuabin32.

Package: binutils-mipsisa64r6el-linux-gnuabin32
Priority: optional
Architecture: mipsn32r6el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mipsisa64r6el-linux-gnuabin32 target
 This package provides GNU assembler, linker and binary utilities
 for the mipsisa64r6el-linux-gnuabin32 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mipsisa64r6el-linux-gnuabin32 and mipsisa64r6el-linux-gnuabin32 is not your native platform.

Package: binutils-mipsisa64r6el-linux-gnuabin32-dbg
Section: debug
Priority: optional
Architecture: mipsn32r6el
Multi-Arch: foreign
Depends: binutils-mipsisa64r6el-linux-gnuabin32 (= ${binary:Version})
Description: GNU binary utilities, for mipsisa64r6el-linux-gnuabin32 target (debug symbols)
 This package provides debug symbols for binutils-mipsisa64r6el-linux-gnuabin32.

Package: binutils-mipsisa32r6-linux-gnu
Priority: optional
Architecture: mipsr6
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mipsisa32r6-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the mipsisa32r6-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mipsisa32r6-linux-gnu and mipsisa32r6-linux-gnu is not your native platform.

Package: binutils-mipsisa32r6-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: mipsr6
Multi-Arch: foreign
Depends: binutils-mipsisa32r6-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for mipsisa32r6-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-mipsisa32r6-linux-gnu.

Package: binutils-mipsisa32r6el-linux-gnu
Priority: optional
Architecture: mipsr6el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mipsisa32r6el-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for the mipsisa32r6el-linux-gnu target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mipsisa32r6el-linux-gnu and mipsisa32r6el-linux-gnu is not your native platform.

Package: binutils-mipsisa32r6el-linux-gnu-dbg
Section: debug
Priority: optional
Architecture: mipsr6el
Multi-Arch: foreign
Depends: binutils-mipsisa32r6el-linux-gnu (= ${binary:Version})
Description: GNU binary utilities, for mipsisa32r6el-linux-gnu target (debug symbols)
 This package provides debug symbols for binutils-mipsisa32r6el-linux-gnu.

Package: binutils-mipsisa64r6-linux-gnuabi64
Priority: optional
Architecture: mips64r6
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mipsisa64r6-linux-gnuabi64 target
 This package provides GNU assembler, linker and binary utilities
 for the mipsisa64r6-linux-gnuabi64 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mipsisa64r6-linux-gnuabi64 and mipsisa64r6-linux-gnuabi64 is not your native platform.

Package: binutils-mipsisa64r6-linux-gnuabi64-dbg
Section: debug
Priority: optional
Architecture: mips64r6
Multi-Arch: foreign
Depends: binutils-mipsisa64r6-linux-gnuabi64 (= ${binary:Version})
Description: GNU binary utilities, for mipsisa64r6-linux-gnuabi64 target (debug symbols)
 This package provides debug symbols for binutils-mipsisa64r6-linux-gnuabi64.

Package: binutils-mipsisa64r6el-linux-gnuabi64
Priority: optional
Architecture: mips64r6el
Multi-Arch: allowed
Depends: binutils-common (= ${binary:Version}),
  ${shlibs:Depends}, ${extraDepends}
Suggests: binutils-doc (= ${source:Version})
Provides: 
Breaks: binutils (<< 2.29-6)
Replaces: binutils (<< 2.29-6)
Description: GNU binary utilities, for mipsisa64r6el-linux-gnuabi64 target
 This package provides GNU assembler, linker and binary utilities
 for the mipsisa64r6el-linux-gnuabi64 target.
 .
 You don't need this package unless you plan to cross-compile programs
 for mipsisa64r6el-linux-gnuabi64 and mipsisa64r6el-linux-gnuabi64 is not your native platform.

Package: binutils-mipsisa64r6el-linux-gnuabi64-dbg
Section: debug
Priority: optional
Architecture: mips64r6el
Multi-Arch: foreign
Depends: binutils-mipsisa64r6el-linux-gnuabi64 (= ${binary:Version})
Description: GNU binary utilities, for mipsisa64r6el-linux-gnuabi64 target (debug symbols)
 This package provides debug symbols for binutils-mipsisa64r6el-linux-gnuabi64.
